MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030478Open CASCADE[OCCT] OCCT:Foundation Classespublic2019-02-06 12:322019-03-05 13:51
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030478: Foundation Classes, NCollection_Array2 - provide Resize/Move methods consistent to NCollection_Array1
DescriptionSome time ago NCollection_Array1 has been extended with new methods Move()/Resize(), but NCollection_Array2 was not updated accordingly.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028470closedbugmaster Foundation Classes, NCollection_Array1 - add Resize() method for re-allocating array with new limits 

-  Notes
(0082045)
git (administrator)
2019-02-06 12:35

Branch CR30478 has been created by kgv.

SHA-1: 2ebe2732d4fc09ec8ce4ac226aa20b77dad425ea


Detailed log of new commits:

Author: kgv
Date: Wed Feb 6 12:29:21 2019 +0300

    0030478: Foundation Classes, NCollection_Array2 - provide Resize/Move methods consistent to NCollection_Array1
(0082107)
git (administrator)
2019-02-08 23:47

Branch CR30478 has been updated forcibly by kgv.

SHA-1: c8eb19e72879c98eb10d862829b8c0bc0f4a42de
(0082108)
git (administrator)
2019-02-09 00:06

Branch CR30478 has been updated forcibly by kgv.

SHA-1: 0a3b0947bad86386c864cb80b71cce425d085424
(0082109)
git (administrator)
2019-02-09 00:18

Branch CR30478 has been updated forcibly by kgv.

SHA-1: 92dd1afd8b98995b4d11733ad09ffef50850fd6e
(0082110)
kgv (developer)
2019-02-09 01:19

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30478-master-KGV/ [^]
(0082125)
msv (developer)
2019-02-11 15:21

Please nullify myData in move constructor and operator move. And change comments to the method move to directly say that the input object will be invalid after move.
(0082126)
git (administrator)
2019-02-11 15:26

Branch CR30478 has been updated forcibly by kgv.

SHA-1: 3e3832fda71f50cfb021de285982abf4eb2d8d65
(0082127)
kgv (developer)
2019-02-11 15:27

Please take a look into updated branch.
(0082128)
msv (developer)
2019-02-11 15:38

Reviewed.
(0082164)
apn (administrator)
2019-02-12 20:31

Combination -
OCCT branch : CR30478
master SHA - 3e3832fda71f50cfb021de285982abf4eb2d8d65
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : CR30478 SHA - 0a8745fd49c8e6ce55c90e7f6a3c07136661ca85
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16534.000000000047 / 16545.53999999999 [-0.07%]
Products
Total CPU difference: 9049.330000000036 / 9061.810000000012 [-0.14%]
Windows-64-VC14:
OCCT
Total CPU difference: 17932.265625 / 17918.46875 [+0.08%]
Products
Total CPU difference: 10460.25 / 10465.109375 [-0.05%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0082637)
git (administrator)
2019-03-05 13:46

Branch CR30478 has been deleted by kgv.

SHA-1: 3e3832fda71f50cfb021de285982abf4eb2d8d65

- Related Changesets
occt: master 92435cd0
Timestamp: 2019-02-06 09:29:21
Author: kgv
Committer: apn
Details ] Diff ]
0030478: Foundation Classes, NCollection_Array2 - provide Resize/Move methods consistent to NCollection_Array1
mod - src/NCollection/NCollection_Array2.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_Test.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-02-06 12:32 kgv New Issue
2019-02-06 12:32 kgv Assigned To => abv
2019-02-06 12:35 git Note Added: 0082045
2019-02-06 12:36 kgv Relationship added related to 0028470
2019-02-06 12:36 kgv Product Version => 7.2.0
2019-02-08 23:47 git Note Added: 0082107
2019-02-09 00:06 git Note Added: 0082108
2019-02-09 00:18 git Note Added: 0082109
2019-02-09 01:19 kgv Note Added: 0082110
2019-02-09 01:19 kgv Assigned To abv => msv
2019-02-09 01:19 kgv Status new => resolved
2019-02-11 15:21 msv Note Added: 0082125
2019-02-11 15:21 msv Assigned To msv => kgv
2019-02-11 15:21 msv Status resolved => assigned
2019-02-11 15:26 git Note Added: 0082126
2019-02-11 15:27 kgv Note Added: 0082127
2019-02-11 15:27 kgv Assigned To kgv => msv
2019-02-11 15:27 kgv Status assigned => resolved
2019-02-11 15:38 msv Note Added: 0082128
2019-02-11 15:38 msv Assigned To msv => bugmaster
2019-02-11 15:38 msv Status resolved => reviewed
2019-02-12 20:31 apn Test case number => Not needed
2019-02-12 20:31 apn Note Added: 0082164
2019-02-12 20:31 apn Status reviewed => tested
2019-02-16 11:48 apn Changeset attached => occt master 92435cd0
2019-02-16 11:48 apn Assigned To bugmaster => apn
2019-02-16 11:48 apn Status tested => verified
2019-02-16 11:48 apn Resolution open => fixed
2019-03-05 13:46 git Note Added: 0082637


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker